SpringResource (Grails 5.1.1)

Package: org.grails.core.io

## [Java] Class SpringResource

- org.grails.core.io.SpringResource

- All Implemented Interfaces and Traits:
    org.springframework.core.io.Resource

      public class SpringResource
      extends java.lang.Object
      implements org.springframework.core.io.Resource

  Bridges Grails and Spring Resource APIs

  Authors:
    Graeme Rocher
  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SpringResource (org.springframework.core.io.Resource springResource)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public long` | `contentLength()`
    `` | `public Resource` | `createRelative(java.lang.String relativePath)`
    `` | `public boolean` | `exists()`
    `` | `public java.lang.String` | `getDescription()`
    `` | `public java.io.File` | `getFile()`
    `` | `public java.lang.String` | `getFilename()`
    `` | `public java.io.InputStream` | `getInputStream()`
    `` | `public java.net.URI` | `getURI()`
    `` | `public java.net.URL` | `getURL()`
    `` | `public boolean` | `isReadable()`
    `` | `public long` | `lastModified()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public SpringResource(org.springframework.core.io.Resource springResource)

  - ### Method Detail

    - #### public long contentLength()

    - #### public Resource createRelative(java.lang.String relativePath)

    - #### public boolean exists()

    - #### public java.lang.String getDescription()

    - #### public java.io.File getFile()

    - #### public java.lang.String getFilename()

    - #### public java.io.InputStream getInputStream()

    - #### public java.net.URI getURI()

    - #### public java.net.URL getURL()

    - #### public boolean isReadable()

    - #### public long lastModified()